=== debian/changelog ===
libgdf (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #601707)
  * Few post-release upstream bugfixes absorbed into quilt patches:
    - fixed data orientation in the resampling example
    - fixed event channel numbering in gdf_writer
    - fixed event mode 3 handling in the resampling example
  * Depend on matlab-support package for install-time building of Matlab
    extensions

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 May 2011 21:29:24 -0400

libgdf (0.1.1~svn62-1) UNRELEASED; urgency=low

  * Fresh upstream snapshot (needed for sigviewer 0.5.0)
  * Patches submitted and adopted upstream:
    - 0001-make-explicit-option-either-to-build-include-tests
    - 0002-testfail-must-fail-so-lets-state-that

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Dec 2010 12:23:40 -0500

libgdf (0.1.0~svn31-1) UNRELEASED; urgency=low

  * Initial packaging

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Oct 2010 14:27:26 -0400
