=== debian/changelog ===
libgdf (0.1.2-2build3) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:25:45 +0000

libgdf (0.1.2-2build2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 15:37:45 +0100

libgdf (0.1.2-2build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:42 +0100

libgdf (0.1.2-2) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * debian/rules:
    - "Manually" provide octave:Depends=octave if octave-depends is not
       present (Closes: #667827).  This solution (over just adding octave
       into Depends) is chosen for backportability to Debian squeeze
  * Above and below changes by Rafael (THANK YOU) to address FTBFS due
    to deprecation of octave-depends (Closes: #666894)

  [ Rafael Laboissiere ]
  * debian/rules:
    - Use directly the octave-config script in order to get the
      installation path for the *.mex files
  * debian/octave-gdf.docs: New debhelper file for installing the
    gdf_{reader,writer}.m files, which contain actually just the
    documentation for the *.mex files
  * debian/octave-gdf.examples: New debhelper file for installing the
    provided examples

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 May 2012 09:16:11 -0400

libgdf (0.1.2-1) unstable; urgency=low

  * Fresh upstream snapshot
    - Fixes endianness issues
  * Dropping cherry-picked up_cp-ev, up_cp-ev-channel, up_cp-data-orientation

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Feb 2012 21:01:50 -0500
