=== debian/control ===
Source: libgdf
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.8), help2man,
			   libboost-dev (>> 1.34.2~), libboost-filesystem-dev, libboost-program-options-dev, libboost-date-time-dev,
			   octave-pkg-dev (>= 0.5.7)
Standards-Version: 3.9.2
Section: libs
Homepage: http://sourceforge.net/projects/libgdf
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/libgdf.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/libgdf.git


Package: libgdf0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IO library for the GDF (general dataformat for biosignals)
 GDF (General Dataformat for Biosignals) is intended to provide a generic
 storage for biosignals, such as EEG, ECG, MEG etc.
 .
 This package contains the shared library.


Package: libgdf0-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgdf0 (= ${binary:Version})
Description: IO library for the GDF -- debug symbols
 GDF (General Dataformat for Biosignals) is intended to provide a generic
 storage for biosignals, such as EEG, ECG, MEG etc.
 .
 This package provides debug symbols.


Package: libgdf-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgdf0 (= ${binary:Version})
Description: IO library for the GDF -- development library
 GDF (General Dataformat for Biosignals) is intended to provide a generic
 storage for biosignals, such as EEG, ECG, MEG etc.
 .
 This package provides the header files and static library.


Package: gdf-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IO library for the GDF -- helper tools
 GDF (General Dataformat for Biosignals) is intended to provide a generic
 storage for biosignals, such as EEG, ECG, MEG etc.
 .
 This package provides the tool shipped with the library
 (gdf_merger).


Package: octave-gdf
Section: science
Architecture: any
Depends: ${octave:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: IO library for the GDF -- Octave interface
 GDF (General Dataformat for Biosignals) is intended to provide a generic
 storage for biosignals, such as EEG, ECG, MEG etc.
 .
 This package provides Octave bindings for libgdf.


Package: matlab-gdf
Section: contrib/science
Architecture: all
Depends: libgdf-dev (>= ${source:Version}), matlab-support, ${misc:Depends}
Description: IO library for the GDF -- Matlab interface
 GDF (General Dataformat for Biosignals) is intended to provide a generic
 storage for biosignals, such as EEG, ECG, MEG etc.
 .
 This package builds Matlab bindings for GDF at installation
 time. Note that this package depends on Matlab -- a commercial
 software that needs to be obtain and installed separately.
