=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=filenamemangle=s/-source// \
    http://sf.net/libgdf/libgdf-(.*)-source\.tar\.gz
