=== tools/CMakeLists.txt ===
add_subdirectory( gdf_merger )
