=== debian/changelog ===
libgdf (0.1.3-13) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1113154
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 18 Oct 2025 21:29:35 +0200

libgdf (0.1.3-12) unstable; urgency=medium

  * d/copyright: Accentuate my family name
  * Override dh_shlibdeps for finding Octave's private library liboctmex.
    This is necessary for having the package building correctly against
    Octave 10. (Closes: #1114633)
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to version 5
  * d/libgdf0t64.lintian-overrides: Drop unused Lintian override for
    package-name-doesnt-match-sonames

 -- Rafael Laboissière <rafael@debian.org>  Fri, 12 Sep 2025 15:05:23 -0300

libgdf (0.1.3-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062310

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:14:09 +0000

libgdf (0.1.3-11) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Med team
  * Remove debian/blends
  * Remove debian/gbp.conf
  * Standards-Version: 4.6.0 (routine-update)
  * Remove old boilerplate from debian/rules (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Nov 2021 13:39:09 +0100

libgdf (0.1.3-10) unstable; urgency=medium

  * Upload to unstable (Closes: #984105)
  * Use d/clean instead of override_dh_clean target in d/rules
  * d/rules: Use execute_after_dh_* targets instead of override_dh_*

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 05:50:01 -0300

libgdf (0.1.3-9) experimental; urgency=medium

  * d/p/compile-with-g++-11.patch: New patch (Closes: #984105)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 07 Jul 2021 08:17:17 -0300

libgdf (0.1.3-8) unstable; urgency=medium

  * d/p/check-system-endianness.patch: Adjust for
    architecture-independent usage of BOOST_ENDIAN_(BIG|LITTLE)_BYTE
    macros. Thanks to Giovanni Mascellani for the tip (see Bug#978612).

 -- Rafael Laboissière <rafael@debian.org>  Thu, 31 Dec 2020 08:02:51 -0300

libgdf (0.1.3-7) unstable; urgency=medium

  * d/p/check-system-endianness.patch: Update patch.
    This fixes the problem of detection of endianness on the s390x
    architecture, what was causing the FTBFS on that architecture.
    (Closes: #977357)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 28 Dec 2020 19:58:39 -0300

libgdf (0.1.3-6) unstable; urgency=medium

  * Avoid FTBFS when building against boost 1.74. Thanks to Anton
    Gladky (Closes: #975443)
    + d/p/check-system-endianess.patch: New patch for replacing the
      deprecated macros BOOST_*_ENDIAN by BOOST_ENDIAN_*_BYTE.
    + d/control: Impose minimal version 1.55 build-dependency on
      libboost-dev.  The new BOOST_ENDIAN_*_BYTE macros were introduced
      in this version of Boost.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Nov 2020 13:30:37 -0300

libgdf (0.1.3-5) unstable; urgency=medium

  * d/p/disable-werror.patch: Set "Forwarded: not-needed"
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * Install the libgdf.so* files in /usr/lib/<arch>/
    + d/libgdf{0,-dev}.install:
      - Convert to use dh-exec
      - Install files in /usr/lib/${DEB_HOST_MULTIARCH}
    + d/control:
      - Build-Depend on dh-exec
      - Declare package libgdf-dev as Architecture any
  * d/libgdf0.lintian-overrides: Override Lintian warning
    no-symbols-control-file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 23 Nov 2020 12:38:41 -0300

libgdf (0.1.3-4) unstable; urgency=medium

  * Allow stderr in unit tests.
    This allows autopkgtest to pass with libboost 1.71, since messages
    regarding the deprecation of BOOST_*_ENDIAN BOOST_BYTE_ORDER are
    issued at compilation time.  This is a quick fix while waiting for the
    problem to be fixed upstream. (Closes: #962217)
  * d/control:
    + Bump debhelper compatibitlity level to 13
    + Standards-Version to 4.5.0 (no changes needed)
    + Make libgdf-dev Arch: all. The dependencies on libgdf0 are
      adjusted for using source:Version, accordingly.  Also, adjust
      the long description to reflect this change.
    + Add Rules-Requires-Root: no
  * d/u/metadata
    + Drop Name and Contact fields
    + Add Repository* and Bug-* fields
  * d/rules: Drop --as-needed linker flag

 -- Rafael Laboissière <rafael@debian.org>  Fri, 05 Jun 2020 09:08:52 -0300

libgdf (0.1.3-3) unstable; urgency=medium

  * d/t/control: Depend on the needed Boost libraries

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 19 Aug 2019 09:38:04 -0300

libgdf (0.1.3-2) unstable; urgency=medium

  * d/t/control: Depend only on libgdf-dev instead of @
    The dependency on matlab-gdf, imposed by the @ tag was causing
    preventing the debian-ci to run the unit tests.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 18 Aug 2019 11:16:09 -0300

libgdf (0.1.3-1) unstable; urgency=medium

  * New upstream version 0.1.3
  * d/watch, d/control, d/copyright: Use new upstream URL (@ GitHub)
  * d/control:
    + Add myself to the list of Uploaders
    + Set Priority: optional instead of extra
    + Bump Standards-Version to 4.4.0
    + Update Vcs-* URLs, which are at salsa.d.o now
  * d/p/disable-werror.patch:
    + Refresh for new upstream version
    + Comply with the Patch Tagging Guidelines (aka DEP3)
      Also, gives credit to Juhani Numminen <juhaninumminen0@gmail.com>, who
      first proposed this patch in the context of Bug#853492.
    + Use the file name proposed by Juhani
  * d/copyright:
    + Reflect upstream changes
    + Add global definition for LGPL-3 license
    + Use correct URL in the Format field
    + Use Upstream-* fields
  * Bump to debhelper compat level 12.
    Build-depend on debhelper-compat instead of using d/compat (this later
    file is removed)

