=== debian/control ===
Source: libgdf
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Yaroslav Halchenko <debian@onerussian.com>,
 Michael Hanke <michael.hanke@gmail.com>,
 Rafael Laboissière <rafael@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 dpkg-dev (>= 1.22.5),
 cmake,
 debhelper-compat (= 13),
 dh-exec,
 dh-octave,
 help2man,
 libboost-date-time-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
Vcs-Browser: https://salsa.debian.org/med-team/libgdf
Vcs-Git: https://salsa.debian.org/med-team/libgdf.git
Homepage: https://github.com/mbillingr/libgdf

Package: libgdf0t64
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks:
 libgdf0 (<< ${source:Version}),
Provides:
 ${t64:Provides},
Replaces:
 libgdf0,
Description: IO library for the GDF (general dataformat for biosignals)
 GDF (General Dataformat for Biosignals) is intended to provide a generic
 storage for biosignals, such as EEG, ECG, MEG etc.
 .
 This package contains the shared library.

Package: libgdf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
 libgdf0t64 (>= ${source:Version}),
 libgdf0t64 (<< ${source:Version}.1~),
Description: IO library for the GDF -- development library
 GDF (General Dataformat for Biosignals) is intended to provide a generic
 storage for biosignals, such as EEG, ECG, MEG etc.
 .
 This package provides the header files.

Package: gdf-tools
Architecture: any
Section: utils
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: IO library for the GDF -- helper tools
 GDF (General Dataformat for Biosignals) is intended to provide a generic
 storage for biosignals, such as EEG, ECG, MEG etc.
 .
 This package provides the tool shipped with the library
 (gdf_merger).

Package: octave-gdf
Architecture: any
Multi-Arch: same
Section: science
Depends:
 ${octave:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: IO library for the GDF -- Octave interface
 GDF (General Dataformat for Biosignals) is intended to provide a generic
 storage for biosignals, such as EEG, ECG, MEG etc.
 .
 This package provides Octave bindings for libgdf.

Package: matlab-gdf
Architecture: all
Section: contrib/science
Depends:
 libgdf-dev (>= ${source:Version}),
 matlab-support,
 ${misc:Depends},
Description: IO library for the GDF -- Matlab interface
 GDF (General Dataformat for Biosignals) is intended to provide a generic
 storage for biosignals, such as EEG, ECG, MEG etc.
 .
 This package builds Matlab bindings for GDF at installation
 time. Note that this package depends on Matlab -- a commercial
 software that needs to be obtain and installed separately.
