=== debian/tests/control ===
Tests: compile-and-run-tests
Depends: libgdf-dev, libboost-date-time-dev, libboost-dev, libboost-filesystem-dev, libboost-program-options-dev, g++, libc6-dev
Restrictions: allow-stderr
