=== debian/watch ===
Version: 5

Source: https://github.com/mbillingr/libgdf/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
